Debian Bug report logs - #608035
freevo: doesnt cleanup on purge

version graph

Package: freevo; Maintainer for freevo is Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>; Source for freevo is src:freevo.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Fri, 24 Dec 2010 11:48:01 UTC

Severity: important

Tags: wontfix

Found in versions freevo/1.9.0-7, 1.9.2b2-4, freevo/1.9.2b2-4.2, freevo/1.9.2b2-4.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>:
Bug#607921; Package freevo. (Fri, 24 Dec 2010 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>. (Fri, 24 Dec 2010 11:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: freevo: (unowned) files in /home (after purge (policy 6.8))
Date: Fri, 24 Dec 2010 12:46:16 +0100
[Message part 1 (text/plain, inline)]
Package: freevo
Version: 1.9.0-7
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package left unowned files on the 
system after purge, which is a violation of policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

From the attached log (scroll to the bottom...):

1m15.3s ERROR: FAIL: Package purging left files on system:
  /home/freevo	 not owned
  /home/freevo/audio	 not owned
  /home/freevo/audio/.placeholder	 not owned
  /home/freevo/cache	 not owned
  /home/freevo/cache/.placeholder	 not owned
  /home/freevo/image	 not owned
  /home/freevo/image/.placeholder	 not owned
  /home/freevo/log	 not owned
  /home/freevo/log/.placeholder	 not owned
  /home/freevo/recordings	 not owned
  /home/freevo/recordings/.placeholder	 not owned
  /home/freevo/static	 not owned
  /home/freevo/static/.placeholder	 not owned
  /home/freevo/video	 not owned
  /home/freevo/video/.placeholder	 not owned

If your package had only left files in /var/log after purge, I would have 
filed this as important. But as your package creates /home/freevo (WTF?!), 
I'm filing this as it is.

See http://www.pathname.com/fhs/pub/fhs-2.3.html#HOMEUSERHOMEDIRECTORIES 
"/home is a fairly standard concept, but it is clearly a site-specific 
filesystem. The setup will differ from host to host. Therefore, no program 
should rely on this location."


cheers,
	Holger
[freevo_1.9.0-7.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>:
Bug#607921; Package freevo. (Fri, 24 Dec 2010 20:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to A Mennucc <mennucc1@debian.org>:
Extra info received and forwarded to list. Copy sent to Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>. (Fri, 24 Dec 2010 20:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 607921@bugs.debian.org (full text, mbox):

From: A Mennucc <mennucc1@debian.org>
To: 607921@bugs.debian.org
Subject: Re: [Pkg-freevo-maint] Bug#607921: freevo: (unowned) files in /home (after purge (policy 6.8))
Date: Fri, 24 Dec 2010 21:14:32 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 607921 +wontfix
thanks

Dear Holger,

here is the situation. When you install the package 'freevo' it sets up
your PC to be a PVR. It sets some services to be automatically started
at boot, such as the TV recorder and the main GUI. All services are ran
as user 'freevo'. It sets up a space where video and music can be
stored, and TV programs recorded, as user 'freevo'. Then users (*)  can
indeed record TV shows in the directory /home/freevo/recordings . So I
do not find it reasonable to delete these directories when the 'freevo'
package is purged.

Now, I have one PC that is dedicated to be freevo PVR. The directories
you list below contain ~470GB of audio/video I have patiently recorded
in over 5 years from TV and my camera/videocamera and other sources.
- From time to time, I do prepare  new 'freevo' packages, and then I
either try to upgrade my freevo box from old version, or purge the old
version and then install the new. If 'freevo' would delete these
directories when I purge it, then I would be very unhappy by now.

If another user is using freevo as I do, and he would for any reason
decide to purge 'freevo' and it would delete these directories then the
user would come to my place with a very large and spiky clue-bat.

Do you agree with the above?

As per the choice of directories... does it make any major difference
whether they are under /home or under /var or anywhere alse ? Also do
not forget that these can be changed by the debconf interface . Anyway
if you really do not like /home and have very good reasons to think they
should by default stay elsewhere I can change the default.

BTW, what 'freevo' is doing is similar to what mysql does: by default,
mysql-server-5.0 will not delete the databases on package purge (unless
the user uses debconf to set the key postrm_remove_databases to true)

a.

ps (*) currently TV recording need some manual config tweaking; but as
TV are going digital, I hope we will make freevo autodetect the needed
configurations, so that users will be able to record TV as soon as they
install 'freevo' and plug in a TV digital receiver (there is already a
lot of progress in this respect)

Il 24/12/2010 12:46, Holger Levsen ha scritto:
> Package: freevo
> Version: 1.9.0-7
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: piuparts piuparts.d.o
> 
> Hi, 
> 
> during a test with piuparts I noticed your package left unowned files on the 
> system after purge, which is a violation of policy 6.8:
> 
> http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails
> 
> From the attached log (scroll to the bottom...):
> 
> 1m15.3s ERROR: FAIL: Package purging left files on system:
>   /home/freevo	 not owned
>   /home/freevo/audio	 not owned
>   /home/freevo/audio/.placeholder	 not owned
>   /home/freevo/cache	 not owned
>   /home/freevo/cache/.placeholder	 not owned
>   /home/freevo/image	 not owned
>   /home/freevo/image/.placeholder	 not owned
>   /home/freevo/log	 not owned
>   /home/freevo/log/.placeholder	 not owned
>   /home/freevo/recordings	 not owned
>   /home/freevo/recordings/.placeholder	 not owned
>   /home/freevo/static	 not owned
>   /home/freevo/static/.placeholder	 not owned
>   /home/freevo/video	 not owned
>   /home/freevo/video/.placeholder	 not owned
> 
> If your package had only left files in /var/log after purge, I would have 
> filed this as important. But as your package creates /home/freevo (WTF?!), 
> I'm filing this as it is.
> 
> See http://www.pathname.com/fhs/pub/fhs-2.3.html#HOMEUSERHOMEDIRECTORIES 
> "/home is a fairly standard concept, but it is clearly a site-specific 
> filesystem. The setup will differ from host to host. Therefore, no program 
> should rely on this location."
> 
> 
> cheers,
> 	Holger
> 
> 
> 
> _______________________________________________
> Pkg-freevo-maint mailing list
> Pkg-freevo-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-freevo-maint

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk0U/ygACgkQ9B/tjjP8QKRC6wCcCFu8ueZ0uqb1AbH6Ca+yStAy
c28An0662w7BsGd26nQXy55Jyb+GpcAJ
=Qjex
-----END PGP SIGNATURE-----




Added tag(s) wontfix. Request was from A Mennucc <mennucc1@debian.org> to control@bugs.debian.org. (Fri, 24 Dec 2010 20:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>:
Bug#607921; Package freevo. (Sat, 25 Dec 2010 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>. (Sat, 25 Dec 2010 14:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 607921@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: A Mennucc <mennucc1@debian.org>
Cc: 607921@bugs.debian.org
Subject: retitle 607921: freevo messes with /home
Date: Sat, 25 Dec 2010 15:23:00 +0100
[Message part 1 (text/plain, inline)]
retitle 607921: freevo messes with /home
clone 607921 -1 
severity -1 important
retitle -1 freevo: doesnt cleanup on purge
thanks

Hi,

On Freitag, 24. Dezember 2010, A Mennucc wrote:
> tag 607921 +wontfix

sigh. 

But tagging it "wontfix" will not prevent the release manager to remove your 
package from squeeze. Your call...

You seem to have misunderstood that this bug is mostly about not purging on 
purge. Thats just a side effect / another problem. The real problem is that 
your package is directly messing with /home/freevo - thats the NO GO.

To help you, I've now made two bugs out of this one ;-)

> here is the situation. When you install the package 'freevo' it sets up
> your PC to be a PVR.

Thanks, I know freevo, I have used it in the past.

> Then users (*)  can
> indeed record TV shows in the directory /home/freevo/recordings . 

Users can do what they want with their system. Debian packages OTOH are 
supposed to follow Debian policy and therefore FHS. And the FHS says: "dont 
touch /home".

Simple as that.

> So I 
> do not find it reasonable to delete these directories when the 'freevo'
> package is purged.
[...]
> If 'freevo' would delete these 
> directories when I purge it, then I would be very unhappy by now.

Why would you purge freevo, if you dont want all its files to go away?
Seriously.

IMO purge should always do what purge is supposed to do. 

Keeping configuration / data on purge is stupid, because
 a.) thats what "remove does"
 b.) thats not what "purge" should do. I hate it when a computer doesnt do as 
I say...
 b.) if one cannot rely on "purge" to really purge, because too many packages 
want to be exceptions, "purge" becomes useless.
 c.) you do have backups, anyway, don't you?

> If another user is using freevo as I do, and he would for any reason
> decide to purge 'freevo' and it would delete these directories then the
> user would come to my place with a very large and spiky clue-bat.

to which you could say "you asked the package to be purged, not removed, and 
the packaging system did that." PEBKAC.

> Do you agree with the above?

No. (And I'm rather sick of explaining people that Debian policy also applies 
to their packages, esp. if I give good URLs to read.)

> As per the choice of directories... does it make any major difference
> whether they are under /home or under /var or anywhere alse ?

Sigh.

Yes it does. 

> BTW, what 'freevo' is doing is similar to what mysql does: by default,
> mysql-server-5.0 will not delete the databases on package purge (unless
> the user uses debconf to set the key postrm_remove_databases to true)

I'd be happier if freevo would also support this. IMO this would still be a 
bug, but probably not an important one ;)


But please keep in mind, that using /home per default is the serious problem 
you need to fix. 
And please read the URLs I gave you in the initial bug report.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug 607921 cloned as bug 608035. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 10:33:01 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 10:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'freevo: doesnt cleanup on purge' from 'freevo: (unowned) files in /home (after purge (policy 6.8))' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 10:33:05 GMT) Full text and rfc822 format available.

Merged 489328 608035. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 10:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>:
Bug#608035; Package freevo. (Mon, 23 Jul 2012 08:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Freevo Debian Dream Team <pkg-freevo-maint@lists.alioth.debian.org>. (Mon, 23 Jul 2012 08:57:05 GMT) Full text and rfc822 format available.

Message #30 received at 608035@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 489328@bugs.debian.org, 608035@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: freevo: doesnt cleanup on purge
Date: Mon, 23 Jul 2012 10:55:12 +0200
found 608035 1.9.2b2-4
unmerge 608035
user debian-qa@lists.debian.org
usertag 608035 piuparts .
thanks

I'm unmerging the two bugs.

#489328: Current movement seems to be not to remove users when the
package gets purged to avoid reusing the UID that still may own some
files (#621833) and just lock the user (currently only wagely defined).

#608035: Leaving stuff in /var/lib/$package on purge is still a bad
idea. A preseedable debconf question would be welcome.


Andreas



Marked as found in versions 1.9.2b2-4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Jul 2012 08:57:12 GMT) Full text and rfc822 format available.

Disconnected #608035 from all other report(s). Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Jul 2012 08:57:13 GMT) Full text and rfc822 format available.

Marked as found in versions freevo/1.9.2b2-4.1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 07 Dec 2012 10:51:05 GMT) Full text and rfc822 format available.

Marked as found in versions freevo/1.9.2b2-4.2. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 23:00:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:22:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.